package config

import "github.com/BurntSushi/toml"

var Cfg Config

type Config struct {
	Server   server
	RabbitMq rabbitmq
	Storage  storage
}

type server struct {
	Debug bool
	Host  string
}

type rabbitmq struct {
	Host     string
	Username string
	Password string
}

type storage struct {
	Path string
}

func LoadConfig() {
	toml.DecodeFile("./config.toml", &Cfg)
}
